--[[
Copyright (C) 2016-2017  Neemys

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See <LICENSE.txt> for a copy of this license, or see <http://www.gnu.org/licenses/>
]]

require("config") --get all value defined by the user
require("constants")
require("misc") -- misc (unsorted) function
require("mods-config.functions") --load function to add/remove blocked building
require("functions.add-platform")  -- function to add platform
--Custom key sequence to check if recipe should be unlocked (in case recipe are activated midgame or a bug happen and recipe haven't been unlocked. Achievement friendly.
data:extend({
  {
    type = "custom-input",
    name = buildingplatform.constants.prefix.."reload-recipe",
    key_sequence = "CONTROL + ALT + K"--,
    --consuming = "all" --set to all to avoid setting another key sequence to it, player will see their other key sequence not working if set to it. As the event is ressources heavy we must avoid anyone calling it multiple time without being aware.
  }
})

--detect all compatible mod
buildingplatform.detectedMods = {}
for id,name in pairs(buildingplatform.constants.modIdToName) do
	if(mods[name]) then
		buildingplatform.detectedMods[id]=true
	end
end
