--[[
Copyright (C) 2016-2017  Neemys

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See <LICENSE.txt> for a copy of this license, or see <http://www.gnu.org/licenses/>
]]

-- block or unblock AAI industries entities
if(buildingplatform.detectedMods.aaiIndustry) then

	local modConfigValue = settings.startup[buildingplatform.constants.prefix.."aaiIndustry"].value

	-- iron electric pole
	--buildingplatform.modHandling(modConfigValue,true,{{type="electric-pole",pattern="small%-iron%-electric%-pole"}})

	--  walls
	--buildingplatform.modHandling(modConfigValue,true,{{type="wall",pattern="concrete%-wall"}})

	--  fuel processor
	buildingplatform.modHandling(modConfigValue,settings.startup[buildingplatform.constants.unrestrictFurnaceSetting].value,{{type="furnace",pattern="fuel%-processor"}})

	--  Burner turbine
	buildingplatform.modHandling(modConfigValue,settings.startup[buildingplatform.constants.unrestrictBoilerSetting].value,{{type="boiler",pattern="burner%-turbine"}})

	--  Burner Lab
	buildingplatform.modHandling(modConfigValue,settings.startup[buildingplatform.constants.unrestrictLabSetting].value,{{type="lab",pattern="burner%-lab"}})

	-- burner assembly machine
	buildingplatform.modHandling(modConfigValue,settings.startup[buildingplatform.constants.unrestrictAssemblingMachineSetting].value,{{type="assembling-machine",pattern="burner%-assembling%-machine"}})
end
