--[[
Copyright (C) 2016-2017  Neemys

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See <LICENSE.txt> for a copy of this license, or see <http://www.gnu.org/licenses/>
]]

-- block or unblock factories and bulk pipe
if(buildingplatform.detectedMods.factorissimo2) then
  local buildingList = {{type="storage-tank",pattern="factory%-1.*"},{type="storage-tank",pattern="factory%-2.*"},{type="storage-tank",pattern="factory%-3.*"},{type="storage-tank",pattern="factory%-input%-pipe"},{type="storage-tank",pattern="factory%-output%-pipe"}}
  local modConfigValue = settings.startup[buildingplatform.constants.prefix.."factorissimo2"].value

  buildingplatform.modHandling(modConfigValue,settings.startup[buildingplatform.constants.unrestrictStorageTankSetting].value,buildingList)

  -- factory circuit I/O
  buildingplatform.modHandling(modConfigValue,true,{{type="pump",pattern="factory%-circuit%-input"}})
  buildingplatform.modHandling(modConfigValue,settings.startup[buildingplatform.constants.unrestrictCombinatorSetting].value,{{type="constant-combinator",pattern="factory%-circuit%-output"}})

  -- factory requester chest
  buildingplatform.modHandling(modConfigValue,settings.startup[buildingplatform.constants.unrestrictLogisticSetting].value,{{type="logistic-container",pattern="factory%-requester%-chest"}})
end
