--[[
Copyright (C) 2016-2017  Neemys

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See <LICENSE.txt> for a copy of this license, or see <http://www.gnu.org/licenses/>
]]

-- block or unblock factories and bulk pipe
if(buildingplatform.detectedMods.highVoltage) then

  local buildingList = {{type="accumulator",pattern="transformer"}}
  local modConfigValue = settings.startup[buildingplatform.constants.prefix.."highVoltage"].value

  buildingplatform.modHandling(modConfigValue,settings.startup[buildingplatform.constants.unrestrictPowerSetting].value,buildingList)

  local buildingList = {{type="electric-pole",pattern="power%-box"}}
	buildingplatform.modHandling(modConfigValue,true,buildingList)

end
