--[[
Copyright (C) 2016-2017  Neemys

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See <LICENSE.txt> for a copy of this license, or see <http://www.gnu.org/licenses/>
]]


if(not buildingplatform.config.disableOwnBlocking) then
	-- vanilla rules
	require('vanilla')

	--load all mods defined in the constant list
	-- we load the file of all mods even undetected ones as Factorio perform a CRC check in MP against all file in mod so conditionnal require could lead to desync.
	if(buildingplatform.constants.modIdToHyphenName) then
		for _,fileName in pairs(buildingplatform.constants.modIdToHyphenName) do
			require(fileName)
		end
	end
end
