--[[
Copyright (C) 2016-2017  Neemys

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See <LICENSE.txt> for a copy of this license, or see <http://www.gnu.org/licenses/>
]]

--block building according to config

if(not settings.startup[buildingplatform.constants.unrestrictPowerSetting].value) then
	if(not settings.startup[buildingplatform.constants.unrestrictBoilerSetting].value) then
		buildingplatform.blockAll("boiler")
	end
	buildingplatform.block_all("generator")
	buildingplatform.blockAll("solar-panel")
	buildingplatform.blockAll("accumulator")
	buildingplatform.blockAll("reactor")
end
if(not settings.startup[buildingplatform.constants.unrestrictCombinatorSetting].value) then
	buildingplatform.blockAll("arithmetic-combinator")
	buildingplatform.blockAll("decider-combinator")
	buildingplatform.blockAll("constant-combinator")
end

if(not settings.startup[buildingplatform.constants.unrestrictRoboportSetting].value) then
	buildingplatform.blockAll("roboport")
end
if(not settings.startup[buildingplatform.constants.unrestrictLogisticSetting].value) then
	buildingplatform.blockAll("logistic-container")
end
if(not settings.startup[buildingplatform.constants.unrestrictRadarSetting].value) then
	buildingplatform.blockAll("radar")
end
if(not settings.startup[buildingplatform.constants.unrestrictStorageTankSetting].value) then
	buildingplatform.blockAll("storage-tank")
end
if(not settings.startup[buildingplatform.constants.unrestrictSubstationSetting].value) then
	buildingplatform.blockOnly("electric-pole",".*substation.*")
end
if(not settings.startup[buildingplatform.constants.unrestrictFurnaceSetting].value) then
	buildingplatform.blockAll("furnace")
end
if(not settings.startup[buildingplatform.constants.unrestrictAssemblingMachineSetting].value) then
	buildingplatform.blockAll("assembling-machine")
end
if(not settings.startup[buildingplatform.constants.unrestrictLabSetting].value) then
	buildingplatform.blockAll("lab")
end
if(not settings.startup[buildingplatform.constants.unrestrictBeaconSetting].value) then
	buildingplatform.blockAll("beacon")
end
if(not settings.startup[buildingplatform.constants.unrestrictRocketSiloSetting].value) then
	buildingplatform.blockAll("rocket-silo")
end
