--[[
Copyright (C) 2016-2017  Neemys

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See <LICENSE.txt> for a copy of this license, or see <http://www.gnu.org/licenses/>
]]

-- block or unblock AAI programmable structures's entities. Other structure are added in programmable vehicles
if(buildingplatform.detectedMods.aaiProgrammableStructures) then
  local modConfigValue = settings.startup[buildingplatform.constants.prefix.."aaiProgrammableStructures"].value

	--Tile/zone scanner
	local buildingList = {{type="radar",pattern="tile%-scan"},{type="radar",pattern="zone%-scan"}}

	buildingplatform.modHandling(modConfigValue,settings.startup[buildingplatform.constants.unrestrictRadarSetting].value,buildingList)

	-- Zone controller
	buildingplatform.modHandling(modConfigValue,settings.startup[buildingplatform.constants.unrestrictRoboportSetting].value,{{type="roboport",pattern="zone%-control"}})
end
