--[[
Copyright (C) 2016-2017  Neemys

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See <LICENSE.txt> for a copy of this license, or see <http://www.gnu.org/licenses/>
]]

--block building according to config

if(buildingplatform.detectedMods.flowControl) then
	local buildingList = {
		{
			type="storage-tank",
			pattern="check%-valve"
		},
		{
			type="storage-tank",
			pattern="overflow%-valve"
		},
		{
			type="storage-tank",
			pattern="express%-valve"
		},
		{
			type="storage-tank",
			pattern="pipe%-elbow"
		},
		{
			type="storage-tank",
			pattern="pipe%-junction"
		},
		{
			type="storage-tank",
			pattern="pipe%-straight"
		},
		--flow controls for bob's pipes
		{
			type="storage-tank",
			pattern="pipe%-steel%-elbow"
		},
		{
			type="storage-tank",
			pattern="pipe%-steel%-junction"
		},
		{
			type="storage-tank",
			pattern="pipe%-steel%-straight"
		},
		{
			type="storage-tank",
			pattern="pipe%-ceramic%-elbow"
		},
		{
			type="storage-tank",
			pattern="pipe%-ceramic%-junction"
		},
		{
			type="storage-tank",
			pattern="pipe%-ceramic%-straight"
		},
		{
			type="storage-tank",
			pattern="pipe%-plastic%-elbow"
		},
		{
			type="storage-tank",
			pattern="pipe%-plastic%-junction"
		},
		{
			type="storage-tank",
			pattern="pipe%-plastic%-straight"
		},
		{
			type="storage-tank",
			pattern="pipe%-bronze%-elbow"
		},
		{
			type="storage-tank",
			pattern="pipe%-bronze%-junction"
		},
		{
			type="storage-tank",
			pattern="pipe%-bronze%-straight"
		},
		{
			type="storage-tank",
			pattern="pipe%-brass%-elbow"
		},
		{
			type="storage-tank",
			pattern="pipe%-brass%-junction"
		},
		{
			type="storage-tank",
			pattern="pipe%-brass%-straight"
		},
		{
			type="storage-tank",
			pattern="pipe%-titanium%-elbow"
		},
		{
			type="storage-tank",
			pattern="pipe%-titanium%-junction"
		},
		{
			type="storage-tank",
			pattern="pipe%-titanium%-straight"
		},
		{
			type="storage-tank",
			pattern="pipe%-tungsten%-elbow"
		},
		{
			type="storage-tank",
			pattern="pipe%-tungsten%-junction"
		},
		{
			type="storage-tank",
			pattern="pipe%-tungsten%-straight"
		},
	}
	buildingplatform.modHandling(settings.startup[buildingplatform.constants.prefix.."flowControl"].value,settings.startup[buildingplatform.constants.unrestrictStorageTankSetting].value,buildingList)
end
