--[[
Copyright (C) 2017  Neemys

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

See <LICENSE.txt> for a copy of this license, or see <http://www.gnu.org/licenses/>
]]

--block building according to config
if(buildingplatform.detectedMods.warehousing) then
	local modConfigValue = settings.startup[buildingplatform.constants.prefix.."warehousing"].value
	local buildingList = {{type="container",pattern="warehouse%-basic"},{type="container",pattern="storehouse%-basic"}}

	buildingplatform.modHandling(modConfigValue,true,buildingList)

	local buildingList = {{type="logistic-container",pattern="warehouse%-passive%-provider"},
		{type="logistic-container",pattern="warehouse%-storage"},
		{type="logistic-container",pattern="warehouse%-active%-provider"},
		{type="logistic-container",pattern="warehouse%-requester"},
		{type="logistic-container",pattern="storehouse%-passive%-provider"},
		{type="logistic-container",pattern="storehouse%-storage"},
		{type="logistic-container",pattern="storehouse%-active%-provider"},
		{type="logistic-container",pattern="storehouse%-requester"}}

	buildingplatform.modHandling(modConfigValue,settings.startup[buildingplatform.constants.unrestrictLogisticSetting].value,buildingList)
end
